List transcript tracks
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/tracks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/tracks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/tracks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"tracks": [
{
"id": "<string>",
"name": "<string>",
"languageCode": "<string>",
"kind": "manual",
"isTranslatable": true,
"isDefault": true,
"provenance": "manual"
}
],
"sourceTracks": [
{
"id": "<string>",
"name": "<string>",
"languageCode": "<string>",
"kind": "manual",
"isTranslatable": true,
"isDefault": true,
"provenance": "manual"
}
],
"translationLanguages": [
{
"languageCode": "<string>",
"name": "<string>"
}
],
"autoTranslationTargets": [
{
"languageCode": "<string>",
"name": "<string>"
}
],
"meta": {
"provider": "youtube",
"source": "video2ctx",
"fetchedAt": "2023-11-07T05:31:56Z",
"partial": true,
"warnings": [
"<string>"
]
},
"defaultTrackId": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Videos
List transcript tracks
Lists the source caption tracks and auto-translation targets available to the transcript endpoint. This endpoint returns metadata, not caption text.
GET
/
v1
/
providers
/
{provider}
/
videos
/
{id}
/
tracks
List transcript tracks
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/tracks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/tracks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/videos/{id}/tracks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"tracks": [
{
"id": "<string>",
"name": "<string>",
"languageCode": "<string>",
"kind": "manual",
"isTranslatable": true,
"isDefault": true,
"provenance": "manual"
}
],
"sourceTracks": [
{
"id": "<string>",
"name": "<string>",
"languageCode": "<string>",
"kind": "manual",
"isTranslatable": true,
"isDefault": true,
"provenance": "manual"
}
],
"translationLanguages": [
{
"languageCode": "<string>",
"name": "<string>"
}
],
"autoTranslationTargets": [
{
"languageCode": "<string>",
"name": "<string>"
}
],
"meta": {
"provider": "youtube",
"source": "video2ctx",
"fetchedAt": "2023-11-07T05:31:56Z",
"partial": true,
"warnings": [
"<string>"
]
},
"defaultTrackId": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Authorizations
bearerApiKeysessionCookiecliSessionapiKeydemoUser
Permanent personal API key created in the dashboard. Example: curl -H "Authorization: Bearer aty_…" https://your-host/v1/projects
Path Parameters
External video provider.
Available options:
youtube Example:
"youtube"
Provider video ID.
Minimum string length:
1Example:
"dQw4w9WgXcQ"
Response
Transcript track information.